Bug 239244 - attempt to use kdump just freezes the box
Summary: attempt to use kdump just freezes the box
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-06 20:50 UTC by Oleg Drokin
Modified: 2009-09-04 07:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 513800 (view as bug list)
Environment:
Last Closed: 2008-05-07 01:41:28 UTC
Type: ---


Attachments (Terms of Use)

Description Oleg Drokin 2007-05-06 20:50:54 UTC
Description of problem:
After getting some kernel problems, I finally decided to give kdump a try, but
to my surprise, it does not work.
Any attempt to use kdump (with sysrq-c or echo c >/proc/sysrq-trigger) leads to
instant system crash. sysrq does not work anymore at this point and the only
solution is hard poweroff.
I see that FC7 does not ship kernel-kdump package anymore, but since FC7 kernel
is built with CONFIG_RELOCATABLE, it should be fine as kdump kernel I presume.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3116.fc7

How reproducible:
100% reproducible.

Steps to Reproduce:
boot kernel with crashkernel=128M@16M option
run service kdump start
run sysctl kernel.sysrq=1
press sysrq-t or echo c >/proc/sysrq-trigger

Additional info:
The system is DELL Latitude D620 laptop with Intel Core2 Duo T7200 CPU, 2G RAM,
i686 arch.
Latest FC7 stuff from development repo.

Comment 1 Oleg Drokin 2007-05-14 19:24:47 UTC
I upgraded to 2.6.21-1.3142.fc7 and the problem is still present.

Comment 2 Bug Zapper 2008-04-04 00:33:50 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Bug Zapper 2008-05-07 01:41:26 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Comment 4 Matt Castelein 2009-07-24 23:47:31 UTC
I have encountered this problem on Fedora 11.  I am following the instructions at:
 https://fedoraproject.org/wiki/Kernel/kdump.. When I get to the point where I do "echo c > /proc/sysrq-trigger"  the box just freezes and no dump kernel is loaded.  It just sits there until I reset it.

Comment 5 Matt Castelein 2009-07-26 00:35:50 UTC
Reopened as bug 513800


Note You need to log in before you can comment on or make changes to this bug.